Bug 218936 - Dated jpackage-utils prevents current Java software to be installed
Dated jpackage-utils prevents current Java software to be installed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: jpackage-utils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 11:00 EST by Fernando Nasser
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0248
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:48:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2006-12-08 11:00:05 EST
Description of problem:

The version of jpackage-utils in RHEL-4 (1.6.0) does not yet contain several
macros and the XML files that support the maven2 package.  This prevents many
current Java packages to be built and/or installed in RHEL-4 systems.

Version-Release number of selected component (if applicable):

1.6.0


How reproducible:

N/A

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:

N/A

Expected results:

RHEL-4 with a jpackage-utils 1.7.3 or higher.

Additional info:

The 1.7.3 version, if our local RHEL changes are backported, is totally
backwards compatible.  Besides fixes to the text of error messages and
additional documentation, there are only _additions_ of macros and XML files.
Comment 1 Thomas Fitzsimmons 2006-12-08 19:50:16 EST
I built jpackage-utils-1.7.3-1jpp_1rh into dist-4E-qu-candidate.  Changing
status to MODIFIED and requesting for RHEL-4.5 and RHEL-5.
Comment 2 RHEL Product and Program Management 2006-12-08 20:00:42 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Thomas Fitzsimmons 2006-12-11 13:43:35 EST
I changed the release numbering format to the %{?dist} format, rebuilt and
retagged.  The new package is:

jpackage-utils-1.7.3-1jpp.1.el4

in dist-4E-qu-candidate.
Comment 4 Thomas Fitzsimmons 2006-12-11 14:55:18 EST
I built jpackage-utils-1.7.3-1jpp.1.el5 into dist-5E.
Comment 7 RHEL Product and Program Management 2007-02-07 21:20:18 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 10 Red Hat Bugzilla 2007-05-01 18:48:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0248.html

Note You need to log in before you can comment on or make changes to this bug.